DROP INDEX SIMULATION.EVT_TAS_INS_X;

CREATE INDEX SIMULATION.EVT_TAS_INS_X
  ON SIMULATION.EVT_TASK_INSTANTIATION (RTM_SIM_SESSION_ID ASC, RTM_TOP_PROCESS_ID ASC, PRX_TASK_ID ASC);
  
CREATE INDEX SIMULATION.EVT_TAS_INS_X2
  ON SIMULATION.EVT_TASK_INSTANTIATION (RTM_SIM_SESSION_ID ASC, RTM_TASK_ID ASC, RTM_TOP_PROCESS_ID ASC, PRX_TASK_ID ASC);

CREATE TABLE SIMULATION.AUX_TOP_PROCESS_CASE
  (RTM_SIM_SESSION_ID INTEGER NOT NULL,
   RTM_TASK_ID INTEGER NOT NULL,
   CASE_INDEX INTEGER NOT NULL,
   TOP_PROCESS_INDEX INTEGER NOT NULL);

ALTER TABLE SIMULATION.AUX_TOP_PROCESS_CASE
  ADD CONSTRAINT C2185875 PRIMARY KEY (RTM_SIM_SESSION_ID, RTM_TASK_ID);

UPDATE SIMULATION.SYS_AUX_KEY_VALUE
    SET KEY_VALUE = 2
  WHERE KEY_NAME = 'VERSION_MINOR'
    AND KEY_VALUE = 1;

UPDATE SIMULATION.SYS_AUX_KEY_VALUE
    SET KEY_VALUE = 0
  WHERE KEY_NAME = 'VERSION_SUB_MINOR'
    AND KEY_VALUE = 1;
    
UPDATE SIMULATION.SYS_AUX_KEY_VALUE
    SET KEY_VALUE = 1
  WHERE KEY_NAME = 'VERSION_PATCH'
    AND KEY_VALUE = 0;